com.impinj.octane

## Enum KillResultStatus

- java.lang.Object
- - java.lang.Enum<KillResultStatus>
  - - com.impinj.octane.KillResultStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<KillResultStatus>

      public enum KillResultStatus
      extends java.lang.Enum<KillResultStatus>

  An enumeration that describes the result of a kill tag operation
  See Also:
    `TagKillOp`, `TagKillOpResult`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `InsufficientPower` The tag did not meet the required RSSI threshold.
    `NonspecificReaderError` An unidentified reader error occurred.
    `NonspecificTagError` An unidentified tag error occurred.
    `NoResponseFromTag` No ACK response was received from the tag in response to the operation.
    `Success` The tag kill operation was successful.
    `ZeroKillPasswordError` The tag kill password was set to zero; a non-zero password is required to kill a tag.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static KillResultStatus` | `valueOf(int killResultStatusValue)` translates the interger value into an enumeration object
    `static KillResultStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static KillResultStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Success

          public static final KillResultStatus Success

      The tag kill operation was successful.

    - #### ZeroKillPasswordError

          public static final KillResultStatus ZeroKillPasswordError

      The tag kill password was set to zero; a non-zero password is required to kill a tag.

    - #### InsufficientPower

          public static final KillResultStatus InsufficientPower

      The tag did not meet the required RSSI threshold.

    - #### NonspecificTagError

          public static final KillResultStatus NonspecificTagError

      An unidentified tag error occurred.

    - #### NoResponseFromTag

          public static final KillResultStatus NoResponseFromTag

      No ACK response was received from the tag in response to the operation.

    - #### NonspecificReaderError

          public static final KillResultStatus NonspecificReaderError

      An unidentified reader error occurred.

  - ### Method Detail

    - #### values

          public static KillResultStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KillResultStatus c : KillResultStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KillResultStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static KillResultStatus valueOf(int killResultStatusValue)

      translates the interger value into an enumeration object
      Parameters:
        `killResultStatusValue` - integer value
      Returns:
        the associated enumeration object

    - #### getValue

          public int getValue()

      Returns:
        the enumeration object as an integer value